import pyqtgraph as pg
from pyqtgraph.Qt import QtCore, QtGui
import numpy as np
from NetFT import Sensor

s = Sensor("192.168.0.101")
s.startStreaming()
win = pg.GraphicsWindow()
win.setWindowTitle(" ")
win.setBackground((50, 50, 50))
# win.setIcon('favicon.ico')

# 1) Simplest approach -- update data in the array such that plot appears to scroll
#    In these examples, the array size is fixed.


fx = np.zeros(200)
fy = np.zeros(200)
fz = np.zeros(200)

mx = np.zeros(200)
my = np.zeros(200)
mz = np.zeros(200)

pen1 = pg.mkPen(color=(125, 25, 0))
pen2 = pg.mkPen(color=(125, 75, 0))
pen3 = pg.mkPen(color=(125, 125, 0))
pen4 = pg.mkPen(color=(125, 175, 0))
pen5 = pg.mkPen(color=(125, 225, 0))
pen6 = pg.mkPen(color=(255, 255, 0))

p_fx = win.addPlot()
p_mx = win.addPlot()

curve1 = p_fx.plot(fx)
curve2 = p_mx.plot(mx)

p_fx.setDownsampling(mode="peak")
p_mx.setDownsampling(mode="peak")
p_fx.setClipToView(True)
p_mx.setClipToView(True)

win.nextRow()
p_fy = win.addPlot()
p_my = win.addPlot()

curve3 = p_fy.plot(fy)
curve4 = p_my.plot(my)

p_fy.setDownsampling(mode="peak")
p_my.setDownsampling(mode="peak")
p_fy.setClipToView(True)
p_my.setClipToView(True)

win.nextRow()
p_fz = win.addPlot()
p_mz = win.addPlot()

curve5 = p_fz.plot(fz)
curve6 = p_mz.plot(mz)

p_fz.setDownsampling(mode="peak")
p_mz.setDownsampling(mode="peak")
p_fz.setClipToView(True)
p_mz.setClipToView(True)

# ptr1 = 0
def update():
    global fx, curve1, ptr1, fy, fz, mx, my, mz
    measuredData = s.measurement()
    fx[:-1] = fx[1:]  # shift data in the array one sample left
    # (see also: np.roll)
    fx[-1] = measuredData[0]

    fy[:-1] = fy[1:]
    fy[-1] = measuredData[1]

    fz[:-1] = fz[1:]
    fz[-1] = measuredData[2]

    mx[:-1] = mx[1:]
    mx[-1] = measuredData[3]

    my[:-1] = my[1:]
    my[-1] = measuredData[4]

    mz[:-1] = mz[1:]
    mz[-1] = measuredData[5]

    curve1.setData(fx)
    curve2.setData(mx)
    curve3.setData(fy)
    curve4.setData(my)
    curve5.setData(fz)
    curve6.setData(mz)


timer = pg.QtCore.QTimer()
timer.timeout.connect(update)
timer.start(50)


def forcesensorplot(measuredData):
    def __init__():
        win = pg.GraphicsWindow()
        win.setBack


## Start Qt event loop unless running in interactive mode or using pyside.
if __name__ == "__main__":
    # import sys
    # if (sys.flags.interactive != 1) or not hasattr(QtCore, 'PYQT_VERSION'):
    QtGui.QApplication.instance().exec_()
