from PyQt5 import QtCore, QtGui, QtWidgets
from PyQt5.QtCore import pyqtSignal,Qt
from MecaV2 import MecaFns
import time
import logging

logging.basicConfig(format='%(asctime)s - %(module)s - %(message)s', datefmt='%d-%b-%y %H:%M:%S',level=logging.DEBUG)


class robotQThread(QtCore.QThread):
    def __init__(self, ROBOT_IP,parent=None,):
        QtCore.QThread.__init__(self, parent)
        global r
        r = MecaFns(ROBOT_IP)
        self.activate()
        logging.debug("Robot Thread Initialized...")

    def activate(self):
        global r
        r.startup()
        
    def run(self):
        global r
        self.running = True
        
        r.ResumeMove()
        while self.running:
            
            r.main_seq()
            time.sleep(100)

    def stop(self):
        global r
        logging.debug("Shutting down the Robot Thread...")
        self.running = False
        r.StopMove()
        r.Disconnect()

    def pause(self):
        global r
        self.running = False
        r.PauseMove()

    def resume(self):
        global r
        self.running = True
        r.ResumeMove()
        self.start()
        
        
    
