from PyQt5 import QtCore, QtGui, QtWidgets
from PyQt5.QtCore import pyqtSignal,Qt
from NetFT import Sensor
import time
import logging

logging.basicConfig(format='%(asctime)s - %(module)s - %(message)s', datefmt='%d-%b-%y %H:%M:%S',level=logging.DEBUG)

class sensorQThread(QtCore.QThread):
    ''' Sensor thread to send data evey 50ms '''
    sensorData = pyqtSignal(list)
    
    def __init__(self, parent=None):
        QtCore.QThread.__init__(self, parent)
        global sensor
        sensor = Sensor('192.168.0.101')
        sensor.startStreaming()
        logging.debug("Sensor Thread Initialized...")

    def run(self):
        global sensor
        self.running = True
        
        while self.running:
            
            # Get the measured data from sensor
            self.measuredData = sensor.measurement()
            
            # Emit the data as PyQt signal so the PyQt slot (on_sensorData) will recieve it
            self.sensorData.emit(self.measuredData)
            time.sleep(0.05)
    def stop(self):
        self.running = False
            
